package com.ynet.life.platform.tranSwitch.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.platform.base.PlatformConstants;
import com.ynet.life.platform.tranSwitch.limit.a;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ArrayList;

public class PbLimitSwitchRollbackAction extends LifeJDBCAction {

   public String execute(Context context) throws GENEException {
      String resultArray = (String)context.getDataValue(PlatformConstants.FIELD_BANK_ID);
      String today = (String)context.getDataValue("orderFlowNo");
      Connection connection = LifeDBAccess.getConnection(context);

      try {
         ArrayList i;
         (i = new ArrayList()).add(resultArray);
         i.add(today);
         if((resultArray = (String)LifeDBAccess.querySingleResult(connection, "SELECT PTE_LIMIT_INFO FROM PB_TRANFLOW_EXTRA WHERE PTE_BANKID = ? AND PTE_FLOWNO = ?", i, 1).get(0)) != null || !"".equals(resultArray)) {
            today = LifeStandard.getServerTime("yyyyMMdd");
            String[] var14 = resultArray.split("#");

            for(int var15 = 0; var15 < var14.length; ++var15) {
               String className = var14[var15].split("\\|")[0];
               if(var14[var15].split("\\|")[1].equals(today)) {
                  try {
                     Trace.log("TranSwitch", "执行开关" + className + "回滚开始");
                     ((a)Class.forName(className).newInstance()).a(context, connection);
                     Trace.log("TranSwitch", "执行开关" + className + "回滚结束");
                  } catch (Exception var11) {
                     Trace.log("TranSwitch", "初始化开关" + className + "出错");
                     Trace.log(var11);
                  }
               }
            }
         }
      } catch (TranFailException var12) {
         throw var12;
      } finally {
         LifeDBAccess.releaseConnection(connection);
      }

      return "0";
   }

   public static void main(String[] connection) {
      Connection connection1 = null;

      try {
         Class.forName("oracle.jdbc.driver.OracleDriver");
         String url = "jdbc:oracle:thin:@192.168.12.45:1521:orcl";
         String userName = "life";
         String password = "life";
         connection1 = DriverManager.getConnection(url, userName, password);
      } catch (Exception var9) {
         var9.printStackTrace();
         return;
      } finally {
         if(connection1 != null) {
            try {
               connection1.close();
            } catch (SQLException var8) {
               var8.printStackTrace();
            }
         }

      }

   }
}
